{% extends "base.twig" %}
{% block title %}Manage project : {{ project.name }}{% endblock %}
{% block include_css %}
    <link rel="stylesheet" type="text/css" href="/assets/css/projectManage.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/comments.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
          integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <!-- Modal -->
        <section class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabek"
                 aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalLabek">Modal title</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form method="post" enctype="multipart/form-data">
                            <div class="invalid-feedback" id="title-feedback">
                                Le titre doit faire au moin 3 caractères.
                            </div>
                            <input type="text" class="form-control mb-3" id="update-title" name="title" value=""
                                   placeholder="Titre" required>

                            <div class="invalid-feedback" id="comment-feedback">
                                Le commentaire doit faire au moin 3 caractères.
                            </div>
                            <textarea class="form-control mb-3" id="update-comment" name="comment-content" rows="3"
                                      placeholder="commentaire"></textarea>
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" name="file" id="updated-file" required>
                                <label class="custom-file-label" for="updated-file">Choisissez un fichier...</label>
                                <div class="invalid-feedback" id="updated-file-feedback">
                                    Veuillez choisir un fichier.
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                        <button type="button" class="btn btn-primary submit-btn">Sauvegarder</button>
                    </div>
                </div>
            </div>
        </section>

        <div class="col-12">
            <div id="path">
                <a href="/project/list/{{ admin.id }}">{{ admin.pseudo }}</a>
                <span>> {{ project.name }}</span>
            </div>
        </div>
        <h1>{{ project.name }}</h1>
        <nav>
            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-files" role="tab"
                   aria-controls="nav-files" aria-selected="false">Fichiers</a>
                <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-contributors" role="tab"
                   aria-controls="nav-contributors" aria-selected="true">Contributeurs</a>
                <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-comments" role="tab"
                   aria-controls="nav-comments" aria-selected="false">Commentaires</a>
            </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">
            <!-- ______________________________ FILE LIST ____________________________________ -->
            <section class="tab-pane fade show active" id="nav-files" role="tabpanel" aria-labelledby="nav-home-tab">
                <h2 class="no-display">.</h2>
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Langage</th>
                        <th scope="col">Nom du fichier</th>
                        <th scope="col">Actions</th>
                    </tr>
                    </thead>
                    <tbody>

                    {% for file in files %}
                        <tr>
                            <th scope="row">1</th>
                            <td>
                                <img src="{{ formats[file.format_id].icon }}" width="30" height="30" alt="">
                            </td>
                            <td id="fileNameContainer_{{ file.id }}">
                                <span class="fileName ptr-cursor">
                                    {{ file.name }}
                                </span>
                                    <form method="post" action="/file/edit/name/{{ file.id }}/{{ project.id }}">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <div class="input-group">
                                                    <input type="text" class="form-control"
                                                           value="{{ file.name|getNameWithoutExtension }}" name="name"
                                                           id="input_name{{ file.id }}" placeholder="Username">
                                                    <div class="input-group-append">
                                                        <div class="input-group-text">
                                                            .{{ file.name|getExtension }}</div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="row">
                                                    <div class="col-6">
                                                        <button type="submit" class="btn btn-primary">modifier</button>
                                                    </div>
                                                    <div class="col-6 ">
                                                        <button type="button" class="btn btn-danger cancel">annuler
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </td>
                            <td class="action">
                                    <a href="/file/show/{{ file.id }}" class="mr-4">
                                        <i class="fas fa-eye fa-2x text-dark"></i>
                                    </a>
                                    <a href="/file/delete/{{ file.id }}" class="mr-4">
                                        <i class="fas fa-trash-alt text-danger fa-2x"></i>
                                    </a>
                                    <i class="fas fa-cloud-upload-alt fa-2x text-info ptr-cursor upload-btn" data-fileName="{{ file.name }}"
                                       data-fileID="{{ file.id }}"></i>
                                </td>
                            </tr>
                    {% endfor %}
                    </tbody>
                </table>

                <!-- _________________________ ADD FILE FORM ___________________________________ -->

                <form action="/file/add/{{ project.id }}" {% if errors is not null %}{{ 'class="was-validated"' }}{% endif %}
                      method="post" enctype="multipart/form-data">

                    <div class="form-row">
                        <div class="form-group col-md-10">
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" name="file" id="file2" required>
                                <label class="custom-file-label" for="file2">Choose file...</label>
                                {% if errors is not null and errors.name is defined %}
                                    <div class="invalid-feedback">
                                        {% for error in errors.name %}
                                            {{ error }}
                                        {% endfor %}
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group col-md-2">
                            <div class="d-flex justify-content-center">
                                <button type="submit" class="btn btn-primary">Ajouter le fichier</button>
                            </div>
                        </div>
                    </div>
                </form>
            </section>

            <!-- ___________________________ CONTRIBUTORS LIST ____________________________________ -->
            <section class="tab-pane fade" id="nav-contributors" role="tabpanel" aria-labelledby="nav-profile-tab">
                <h2 class="no-display">.</h2>
                <form id="search-form" method="post" action="/project/contributor/search">

                    <!-- ______________________ SEARCH RESULTS _____________________________ -->
                    <input type="text" name="pseudo" id="search-pseudo">
                    <div class="col-auto my-1">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>

                <!-- ______________________ PROJECT'S CONTRIBUTORS _______________________________ -->
                <div class="card card-default" id="card_contacts">
                    <div id="contacts" class="panel-collapse collapse show" aria-expanded="true" role="tabpanel">

                        <ul class="list-group pull-down" id="search-result" data-project-id="{{ project.id }}">
                            <!-- FILL BY JS -->
                        </ul>

                        <ul class="list-group pull-down" id="contact-list">

                            {% for contributor in contributors %}
                                <li class="list-group-item">
                                    <article class="row w-100">
                                        <h3 class="no-display">.</h3>
                                        <div class="col-12 col-sm-6 col-md-3 -0">
                                            <img src="{{ contributor.avatar }}" alt="{{ contributor.name }}"
                                                 width="100" height="100"
                                                 class="rounded-circle mx-auto d-block img-fluid">
                                            <div class="text-muted text-center small">{{ contributor.pseudo }}</div>
                                        </div>
                                        <div class="col-12 col-sm-6 col-md-9 text-center text-sm-left">
                                            <div>
                                                <a href="{% if isAdmin %}/project/contributor/remove/{{ contributor.id ~ '/' ~ project.id }}{% endif %}">
                                                        <span class="{% if not isAdmin %}{{ 'link-disabled text-muted ' }}{% endif %}fas fa-user-times fa-2x text-danger float-right pulse"
                                                              title="online now"></span>
                                                </a>
                                                <label class="name lead">{{ contributor.surname }} {{ contributor.surname }}
                                                    : {{ contributor.role }}</label>
                                            </div>
                                            <div>
                                                    <span class="fa fa-map-marker fa-fw text-muted"
                                                          data-toggle="tooltip" title=""
                                                          data-original-title="{{ contributor.address }}, {{ contributor.city }}"></span>
                                                <span class="text-muted">{{ contributor.address }}
                                                    , {{ contributor.city }}</span>
                                            </div>
                                            <div>
                                                    <span class="fa fa-phone fa-fw text-muted" data-toggle="tooltip"
                                                          title="" data-original-title="{{ contributor.tel }}"></span>
                                                <span class="text-muted small">{{ contributor.tel }}</span>
                                            </div>
                                            <div>
                                                    <span class="fa fa-envelope fa-fw text-muted" data-toggle="tooltip"
                                                          data-original-title="" title=""></span>
                                                <span class="text-muted small text-truncate">{{ contributor.email }}</span>
                                            </div>
                                        </div>
                                    </article>
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            </section>

            <!-- ___________________________________ COMMENT LIST __________________________________ -->

            <section class="tab-pane fade" id="nav-comments" role="tabpanel" aria-labelledby="nav-contact-tab">
                <h3 class="no-display">.</h3>
                <div class="comments">
                    {% for comment in comments %}
                        <article class="row">
                            <div class="col-md-2"></div>
                            <div class="col-md-8">
                                <div class="media g-mb-30 media-comment">
                                    <img class="d-flex g-width-50 g-height-50 rounded-circle g-mt-3 g-mr-15"
                                         src="{{ commentContributors[comment.contributor_id].avatar }}"
                                         alt="Image Description">
                                    <div class="media-body u-shadow-v18 g-bg-secondary g-pa-30">
                                        <div class="g-mb-15">
                                            <div class="row">
                                                <div class="col-6 ">
                                                    <h5 class="h5 g-color-gray-dark-v1 mb-0">{{ comment.title }}</h5>
                                                </div>
                                                <h5 class="h5 g-color-gray-dark-v1 mb-0 col-6">De
                                                    : {{ commentContributors[comment.contributor_id].pseudo }}</h5>
                                            </div>

                                            <span class="g-color-gray-dark-v4 g-font-size-12">{{ comment.timeDiff }}</span>
                                        </div>

                                        <p>{{ comment.content }}</p>

                                        <ul class="list-inline d-sm-flex my-0">
                                            <li class="list-inline-item g-mr-20">
                                                <a class="u-link-v5 g-color-gray-dark-v4 g-color-primary--hover"
                                                   href="#!">
                                                    <i class="fa fa-thumbs-up g-pos-rel g-top-1 g-mr-3"></i>
                                                    178
                                                </a>
                                            </li>
                                            <li class="list-inline-item g-mr-20">
                                                <a class="u-link-v5 g-color-gray-dark-v4 g-color-primary--hover"
                                                   href="#!">
                                                    <i class="fa fa-thumbs-down g-pos-rel g-top-1 g-mr-3"></i>
                                                    34
                                                </a>
                                            </li>
                                            <li class="list-inline-item ml-auto">
                                                <a class="u-link-v5 g-color-gray-dark-v4 g-color-primary--hover"
                                                   href="/comment/delete/{{ comment.id }}">
                                                    <i class="fa fa-ban g-pos-rel g-top-1 g-mr-3"></i>
                                                    Supprimer
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2"></div>
                        </article>
                    {% endfor %}

                    {% if project|canComment %}
                        <div class="row add-comment">
                            <div class="col-md-2"></div>
                            <div class="col-md-8">
                                <form method="post" action="/project/add/comment/{{ project.id }}">
                                    <input type="text" class="form-control mb-3" id="comment-title" name="title"
                                           value="" placeholder="Titre" required>
                                    <textarea class="form-control mb-3" id="commentaire" name="content" rows="3"
                                              placeholder="commentaire"></textarea>

                                    <div class="d-flex justify-content-center">
                                        <button type="submit" class="btn btn-primary">Ajouter le commentaire</button>
                                    </div>
                                </form>
                            </div>
                            <div class="col-md-2"></div>
                        </div>

                    {% endif %}
                </div>
            </section>
        </div>
    </div>




{% endblock %}

{% block include_js %}
    <script src="/assets/js/ManageProject.js"></script>
{% endblock %}